Get transformer content
client.logpush.transformers.content.get(numbertransformerID, ContentGetParams { account_id, version_id } params, RequestOptionsoptions?): ContentGetResponse { content }
GET/accounts/{account_id}/logpush/transformers/{transformer_id}/content
Returns the SQL query content for a transformer. Without query params, returns the latest version. With version_id, returns the specified version.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Get transformer content
import Cloudflare from 'cloudflare';
const client = new Cloudflare({
apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});
const content = await client.logpush.transformers.content.get(42, {
account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});
console.log(content.content);{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"content": "SELECT ClientIP, RayID FROM http_requests"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"content": "SELECT ClientIP, RayID FROM http_requests"
}
}